# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SOAP
%define		pnam	Lite
%define		real_version	%(echo %{version} | sed 's/[a-zA-Z]//')
Summary:	SOAP::Lite - Client and server side SOAP implementation
Summary(pl.UTF-8):	SOAP::Lite - implementacja SOAP po stronie klienta i serwera
Name:		perl-SOAP-Lite
Version:	1.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/P/PH/PHRED/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4a95aa4e43d57d4eed018bb76fd67e38
Patch0:		%{name}-warnings.patch
URL:		http://www.soaplite.com/
%if %{with tests}
# this list is probably incomplete
BuildRequires:	apache-mod_perl
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-Crypt-SSLeay
BuildRequires:	perl-FCGI
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-MIME-Lite
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-URI
BuildRequires:	perl-libnet
BuildRequires:	perl-libwww
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-SOAP-Transport-TCP
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional
%define		_noautoreq_perl	SOAP::Transport::HTTP IO::SessionSet IO::SessionData

%description
SOAP::Lite is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both
on client and server side.

%description -l pl.UTF-8
SOAP::Lite to zestaw modułów Perla udostępniających prosty i lekki
interfejs do protokołu SOAP (Simple Object Access Protocol) zarówno po
stronie klienta, jak i serwera.

%package HTTP
Summary:	HTTP transport support for SOAP::Lite
Summary(pl.UTF-8):	Obsługa transportu HTTP dla SOAP::Lite
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	perl-libwww

%description HTTP
HTTP transport support for SOAP::Lite (SOAP::Transport::HTTP).

%description HTTP -l pl.UTF-8
Obsługa transportu HTTP dla SOAP::Lite (SOAP::Transport::HTTP).

%package examples
Summary:	SOAP::Lite - examples
Summary(pl.UTF-8):	Przykłady użycia SOAP::Lite
Group:		Development/Languages/Perl

%description examples
Examples for SOAP::Lite.

%description examples -l pl.UTF-8
Przykłady użycia SOAP::Lite.

%prep
%setup -q -n %{pdir}-%{pnam}-%{real_version}
%patch0 -p1

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"SOAP::Lite")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# don't package .pod
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/SOAP/*.pod

# don't package OldDocs
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/OldDocs::*
rm -rf $RPM_BUILD_ROOT%{perl_vendorlib}/OldDocs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Apache/*.pm
%{perl_vendorlib}/SOAP/*.pm
%dir %{perl_vendorlib}/SOAP/Lite
%{perl_vendorlib}/SOAP/Lite/*.pm
%dir %{perl_vendorlib}/SOAP/Lite/Deserializer
%{perl_vendorlib}/SOAP/Lite/Deserializer/*.pm
%dir %{perl_vendorlib}/SOAP/Transport
%{perl_vendorlib}/SOAP/Transport/*.pm
%exclude %{perl_vendorlib}/SOAP/Transport/HTTP.pm
%{_mandir}/man3/Apache*
%{_mandir}/man3/SOAP*

%files HTTP
%defattr(644,root,root,755)
%{perl_vendorlib}/SOAP/Transport/HTTP.pm

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri Apr 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-SOAP-Lite.git;a=log;h=master

* Wed Mar 25 2015 Adam Osuchowski <adwol@pld-linux.org> fa314ba
- up to 1.14

* Thu Mar 19 2015 Adam Osuchowski <adwol@pld-linux.org> df8861d
- up to 1.13

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> c8d5124
- up to 0.714

* Sat Jan 01 2011 kosmo <kosmo@pld-linux.org> 4b4570d
- updated to 0.712
- removed JABBER and MQ subpackages (were moved to external modules)

* Fri Oct 09 2009 amateja <amateja@pld-linux.org> 2cabba1
- updated to 0.710.10

* Fri Oct 09 2009 amateja <amateja@pld-linux.org> 23dde21
- adjusted for 0.710.10

* Thu Jun 05 2008 Elan Ruusamäe <glen@pld-linux.org> ff2b918
- fix typo in manual

* Mon Jun 02 2008 Elan Ruusamäe <glen@pld-linux.org> 47f47ae
- disable redefine warnings in strict mode

* Mon Jun 02 2008 Elan Ruusamäe <glen@pld-linux.org> f30dbfb
- patch redefine warnings out in strict mode

* Wed May 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 60c04ce
- pl for -HTTP

* Wed May 14 2008 Elan Ruusamäe <glen@pld-linux.org> 14ced2d
- link

* Wed May 14 2008 Elan Ruusamäe <glen@pld-linux.org> 77343c7
- this version seems broken
- separate HTTP transport due LWP dep

* Mon Mar 31 2008 Elan Ruusamäe <glen@pld-linux.org> 41f5e6b
- remove probably unwanted files
- and what the "guru" has to do?

* Mon Mar 31 2008 kosmo <kosmo@pld-linux.org> 522a278
- updated to 0.71
- touch of perl guru is required

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> d119b78
- unified sf URL

* Sat Jan 19 2008 kosmo <kosmo@pld-linux.org> ad0c7ca
- updated to 0.70_04
- new download url

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4660266
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 22bcd80
- converted to UTF-8

* Tue Oct 24 2006 ankry <ankry@pld-linux.org> cec64d7
- ver. 0.69, NFY

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> 6ec1dd5
- cp -a implies cp -r

